{% extends 'base.html' %}

{% block title %}Create a Service{% endblock %}

{% block content %}
    <div class="content-base">
        <h4>Create a Service</h4>

        <form method="post" action="{{ url_for('service_create') }}">
            {{ form.csrf_token }}
            {{ md.input(form.name) }}
            {{ md.input(form.image_name) }}
            {{ md.input(form.port) }}
            {{ md.input(form.service_port) }}
            {{ md.input(form.connection_template) }}
            {{ md.checkbox('Use private registry image', 'toggle-secret-checkbox', 'secret-name-hidden') }}
            {{ md.input(form.secret_name, 'secret-name-hidden hidden') }}
            {{ md.submit_button('Create') }}
            <p class="mdc-typography--caption">
                It may take some time to build a service from a remote image. Especially when giving wrong image name
            </p>
            {{ md.non_field_err(form) }}
        </form>
    </div>
{% endblock %}
